org.apache.ignite.client

## Class ClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.client.ClientException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClientAuthenticationException, ClientAuthorizationException, ClientConnectionException, ClientFeatureNotSupportedByServerException, ClientReconnectedException

    public class ClientException
    extends RuntimeException

Common thin client unchecked exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientException()` Constructs a new exception with `null` as its detail message.
`ClientException(String msg)` Constructs a new exception with the specified detail message.
`ClientException(String msg, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`ClientException(String msg, Throwable cause, boolean enableSuppression, boolean writableStackTrace)` Constructs a new exception with the specified detail message, cause, suppression enabled or disabled, and writable stack trace enabled or disabled.
`ClientException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientException

    public ClientException()

Constructs a new exception with `null` as its detail message.

#### ClientException

    public ClientException(String msg)

Constructs a new exception with the specified detail message.

Parameters:
  `msg` - the detail message.

#### ClientException

    public ClientException(Throwable cause)

Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

Parameters:
  `cause` - the cause.

#### ClientException

    public ClientException(String msg,
                           Throwable cause)

Constructs a new exception with the specified detail message and cause.

Parameters:
  `msg` - the detail message.
  `cause` - the cause.

#### ClientException

    public ClientException(String msg,
                           Throwable cause,
                           boolean enableSuppression,
                           boolean writableStackTrace)

Constructs a new exception with the specified detail message, cause, suppression enabled or disabled, and writable stack trace enabled or disabled.

Parameters:
  `msg` - the detail message.
  `cause` - the cause.
  `enableSuppression` - whether or not suppression is enabled or disabled
  `writableStackTrace` - whether or not the stack trace should be writable

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022